package com.bizmatics.mhfire.controller.web;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.common.core.exception.BusinessException;
import com.bizmatics.common.core.util.StringUtils;
import com.bizmatics.mhfire.model.DemSecurityBuild;
import com.bizmatics.mhfire.service.DemSecurityBuildService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 安保检查建筑数据
 *
 * @author ya
 * @since 2022-10-25
 */
@RestController
@RequestMapping("/demSecurityBuild")
public class DemSecurityBuildController {

    @Autowired
    private DemSecurityBuildService demSecurityBuildService;


    @PostMapping
    public ApiResult<Void> add(@RequestBody DemSecurityBuild demSecurityBuild){
        if (StringUtils.isBlank(demSecurityBuild.getAppKey())){
            throw new BusinessException("appKey不能为空");
        }
        if (!"31cdd6a7766d24820156e5304a3f7107".equals(demSecurityBuild.getAppKey())){
            throw new BusinessException("用户id不存在");
        }
        demSecurityBuildService.save(demSecurityBuild);
        return ApiResult.success();
    }
}

