package com.bizmatics.mhfire.controller.web;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.common.core.exception.BusinessException;
import com.bizmatics.common.core.util.StringUtils;
import com.bizmatics.mhfire.model.DemSecurityFire;
import com.bizmatics.mhfire.service.DemSecurityFireService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 安保检查消防设施及微站数据 前端控制器
 * </p>
 *
 * @author ya
 * @since 2022-10-25
 */
@RestController
@RequestMapping("/demSecurityFire")
public class DemSecurityFireController {

    @Autowired
    private DemSecurityFireService demSecurityFireService;


    @PostMapping
    public ApiResult<Void> add(@RequestBody DemSecurityFire demSecurityFire){
        if (StringUtils.isBlank(demSecurityFire.getAppKey())){
            throw new BusinessException("appKey不能为空");
        }
        if (!"31cdd6a7766d24820156e5304a3f7107".equals(demSecurityFire.getAppKey())){
            throw new BusinessException("用户id不存在");
        }
        demSecurityFireService.save(demSecurityFire);
        return ApiResult.success();
    }
}

