package com.bizmatics.mhfire.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 安保检查消防设施及微站数据
 * </p>
 *
 * @author ya
 * @since 2022-10-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DemSecurityFire implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 用户ID
     */
    @JsonProperty("app_key")
    private String appKey;

    /**
     * 单位与消防设施关系
     */
    @JsonProperty("company_facility")
    private String companyFacility;

    /**
     * 消防设施设置（其他）
     */
    @JsonProperty("facility_set")
    private String facilitySet;

    /**
     * 其他消防设施
     */
    @JsonProperty("other_facility")
    private String otherFacility;

    /**
     * 是否设有消防控制室
     */
    @JsonProperty("control_room")
    private String controlRoom;

    /**
     * 是否接入城市消防远程监控或物联网与远程监控系统）
     */
    @JsonProperty("remote_monitor")
    private String remoteMonitor;

    /**
     * 是否为消防控制主管单位（否）
     */
    @JsonProperty("control_director")
    private String controlDirector;

    /**
     * 是否组建微型消防站（否）
     */
    @JsonProperty("micro_station")
    private String microStation;

    /**
     * 常见隐患问题
     */
    @JsonProperty("hidden_problem")
    private String hiddenProblem;

    /**
     * 安全疏散问题
     */
    @JsonProperty("safe_evacuate")
    private String safeEvacuate;

    /**
     * 消防设施问题
     */
    @JsonProperty("facility_problem")
    private String facilityProblem;

    /**
     * 防火分隔问题
     */
    @JsonProperty("divide_problem")
    private String divideProblem;

    /**
     * 易燃易爆物品问题
     */
    @JsonProperty("inflammable")
    private String inflammable;

    /**
     * 单位消防管理问题
     */
    @JsonProperty("manage_problem")
    private String manageProblem;

    /**
     * 其他隐患问题
     */
    @JsonProperty("other_hidden")
    private String otherHidden;

    /**
     * 备注
     */
    @JsonProperty("remark")
    private String remark;

    /**
     * 签名
     */
    @JsonProperty("sign")
    private String sign;

    @JsonProperty("enterprise_name")
    private String enterpriseName;

    @JsonProperty("facility_type")
    private String facilityType;

    @JsonProperty("employees")
    private String employees;

    @JsonProperty("station_person")
    private String stationPerson;

    @JsonProperty("station_address")
    private String stationAddress;

    @JsonProperty("data_type")
    private String dataType;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;


}
