package com.bizmatics.mhfire.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 设备告警表
 * </p>
 *
 * @author ya
 * @since 2022-03-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TbAlarm implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 设备本地注册唯一编码
     */
    private String deviceId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 告警时间
     */
    private Date alarmTime;

    /**
     * 告警设备名称
     */
    private String deviceName;

    /**
     * 告警内容
     */
    private String alarmContent;

    /**
     * 告警状态 0 未处理 1 已处理
     */
    private Integer alarmStatus;

    /**
     * 告警处理备注
     */
    private String remark;

    /**
     * 属性
     */
    private String property;

    /**
     * 内容
     */
    private String alertValue;

    /**
     * 状态
     */
    private String status;

    /**
     * 类型
     */
    private String alertType;

    /**
     * 序号
     */
    private String serial;

    /**
     * 地址
     */
    private String address;

    /**
     * 端口
     */
    private String port;

    /**
     * 设备状态名称
     */
    private String stuname;


}
