package com.bizmatics.mhfire.service.mqtt.mh;

import com.bizmatics.common.spring.util.JsonUtils;
import com.bizmatics.mhfire.model.Device;
import com.bizmatics.mhfire.model.DeviceAj;
import com.bizmatics.mhfire.model.DeviceAlert;
import com.bizmatics.mhfire.model.DeviceInfo;
import com.bizmatics.mhfire.service.DeviceAjService;
import com.bizmatics.mhfire.service.DeviceAlertService;
import com.bizmatics.mhfire.service.DeviceInfoService;
import com.bizmatics.mhfire.service.DeviceService;
import com.bizmatics.mhfire.service.enums.TopListener;
import com.bizmatics.mhfire.service.mqtt.MqttStrategy;
import com.bizmatics.mhfire.service.vo.MqttBaseVO;
import com.fasterxml.jackson.core.type.TypeReference;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author yq
 * @date 2022/3/4 15:07
 */
@Service("mhwater")
public class MhStrategy implements MqttStrategy {

    @Autowired
    private DeviceService deviceService;
    @Autowired
    private DeviceInfoService deviceInfoService;
    @Autowired
    private DeviceAlertService deviceAlertService;
    @Autowired
    private DeviceAjService deviceAjService;
    @Override
    public String disposeMessage(MqttBaseVO mqttBaseVO) {

        String topic = mqttBaseVO.getTopic();
        String payload = mqttBaseVO.getData().toString();
        if (TopListener.DEVICE_DETAIL.getCode().equals(topic)){
            //设备录入
            List<Device> devices = JsonUtils.fromJson(payload, new TypeReference<List<Device>>() {
            });
            deviceService.saveOrUpdateBatch(devices);
        }else if (TopListener.DEVICE_INFO.getCode().equals(topic)){
            DeviceInfo deviceInfo = JsonUtils.fromJson(payload, DeviceInfo.class);
            deviceInfoService.save(deviceInfo);
        }else if (TopListener.DEVICE_ALERT.getCode().equals(topic)){
            DeviceAlert deviceAlert = JsonUtils.fromJson(payload, DeviceAlert.class);
            deviceAlertService.save(deviceAlert);
        }else if (TopListener.DEVICE_AJ.getCode().equals(topic)){
            DeviceAj deviceAj = JsonUtils.fromJson(payload, DeviceAj.class);
            deviceAjService.saveOrUpdate(deviceAj);
        }
        return null;
    }
}
